PETSc version 3.15.5
Fix/Edit manual page

# DMShellGetCreateRestriction

Get the routine used to create the restriction operator

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetCreateRestriction(DM dm, PetscErrorCode (**restriction)(DM,DM,Mat*))

Logically Collective on dm

### Input Argument

| dm | - the shell DM

### Output Argument

| restriction | - the routine to create the restriction

### See Also

DMShellSetCreateInjection(), DMCreateInterpolation(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages